/*configurações globais*/
@charset "UTF-8";
:root {
   --background-light:  #eff5ff;
   --border: #d5d5d5;
   --color-1: #273678;
   --color-2: #037bc2;
   --color-3: #1d1b37;
   --white: #fefefe;
   --gray: #eeeeee;
   --black: #404040;
   --transition: 0.4s;
   --whatsapp: #25d366;
}
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
::selection {
    background-color: var(--color-2);
    color: var(--background-light);
}
@font-face {
    font-family: 'Inter';
    src: url('../assets/fonts/Inter.ttf') format('ttf'),
         url('../assets/fonts/Inter.ttf') format('ttf');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'Inter';
    src: url('../assets/fonts/Inter-Medium.ttf') format('woff2'),
         url('../assets/fonts/Inter-Regular.ttf') format('woff');
    font-weight: medium;
    font-style: normal;
}
@font-face {
    font-family: 'Inter';
    src: url(../assets/fonts/Inter-Bold.ttf);
    font-weight: bold;
}
::-webkit-scrollbar {
    display: none;
}
html {
    scroll-behavior: smooth;
}
body {
    min-height: 1500px;
    font-family: 'Inter', sans-serif;
}
a {
    color: var(--color-1);
    text-decoration: none;
    font-weight: 'Inter Medium';
}
a:hover {
    color: var(--color-2);
}
span {
    text-transform: uppercase;
    font-weight: medium;
    font-size: 14px;
    margin-bottom: 20px;
}
ul, ol {
    list-style: none;
}
ol.submenu-mobile {
    padding-top: 20px;
}
h2 {
    color: var(--color-1);
    text-transform: uppercase;
    text-align: center;
    margin-bottom: 40px;
    font-size: 32px;
}
h3 {
    font-size: 20px;
}
.conteiner {
    max-width: 1250px;
    width: 90%;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 100%;
}
.section {
    padding: 60px 0;
}
.section span {
    display: block;
    margin: 0 auto;
    text-align: center;
    color: var(--color-1);
    margin-bottom: 15px;
}
.section .conteiner {
    flex-direction: column;
}
.border-top {
    border-top: 1px solid var(--border);
}
.section-blue {
    background-color: var(--color-1);
}
.section-blue .conteiner h2,
.section-blue .conteiner span {
    color: var(--white);
}
/*nav*/
.nav {
    border-bottom: 1px solid var(--border);
    padding: 16px 0;
    position: fixed;
    left: 0;
    width: 100%;
    background-color: white;
    z-index: 10000;
}
.nav .conteiner .logo {
    width: 160px;
    display: block;
}
.nav .conteiner .logo img {
    width: 100%;
}
.menu {
    display: flex;
    gap: 40px;
}
.menu li {
    position: relative;
    transition: var(--transition);
}
.menu > li::after {
    content: '';
    background: var(--color-2);
    position: absolute;
    top: 30px;
    height: 4px;
    width: 120%;
    border-radius: 50px;
    left: -10%;
    opacity: 0;
    transition: 0.4s;
}
.menu > li:hover::after,
.menu > li:hover .submenu {
    opacity: 1;
    z-index: 1000;
    display: block;
}
.servico-link img {
    width: 10px;
    transform: translateX(5px);
}
.servico-link::after {
    content: '';
    height: 40px;
    width: 100%;
    position: absolute;
    bottom: -40px;
    left: 0;
}
.submenu {
    position: absolute;
    left: -100%;
    top: 40px;
    width: auto;
    background-color: var(--background-light);
    border: 2px solid var(--border);
    opacity: 0;
    z-index: -100;
    display: none;
}
.submenu li a {
    border: 1px solid var(--border);
    width: 100%;
    display: block;
    padding: 8px 15px;
    white-space: nowrap;
    font-weight: bold;
    transition: var(--transition);
}
.submenu li a:hover {
    background-color: var(--color-1);
    color: var(--background-light);
}
.nav .soliciar-orcamento {
    white-space: nowrap;
    background-color: var(--color-1);
    color: var(--background-light);
    padding: 20px;
    border-radius: 50px;
    text-transform: uppercase;
    font-weight: bold;
    transition: var(--transition);
}
.nav .soliciar-orcamento:hover {
    background-color: var(--color-2);
}
.nav #instagram {
    background-color: var(--color-1);
    height: 55px;
    max-width: 55px;
    min-width: 55px;
    margin-left: 3px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    color: var(--background-light);
    transition: var(--transition);
}
.nav #instagram img {
    width: 30px;
}
.nav #instagram:hover {
    background-color: var(--color-2);
}
.nav .conteiner .btn-mobile {
    display: none;
    color: var(--color-1);
    cursor: pointer;
    border: 2px solid var(--color-1);
    border-radius: 15px;
    padding: 8px;
}
.nav .conteiner .btn-mobile img {
    width: 50px;
}
.nav .btn-menu {
    display: none;
}
.active-submenu {
    display: flex!important;
}
.btn-menu .submenu-mobile {
    height: auto;
    margin-left: 20px;
    display: flex;
    flex-direction: column;
    gap: 15px;
    display: none;
}
/*cabecalho*/
.cabecalho {
    height: 600px;
}
.cabecalho section {
    width: 50%;
    padding-right: 50px;
    color: white;
    height: 300px;
    display: flex;
    flex-direction: column;
    margin-top: 150px;
}
.cabecalho section h1 {
    font-size: 40px;
    text-transform: uppercase;
    margin-bottom: 20px;
}
.cabecalho section p {
    font-size: 18px;
    margin-bottom: 40px;
}
.cabecalho .header-button {
    background-color: var(--background-light);
    width: 260px;
    border-radius: 50px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 15px 20px;
    text-transform: uppercase;
    white-space: nowrap;
    font-weight: bold;
    transition: var(--transition);
}
.cabecalho .header-button img {
    width: 20px;
}
.cabecalho .header-button:hover {
    background-color: var(--color-2);
    color: var(--background-light);
    transform: translateY(-10px);
}
.cabecalho .conteiner .vazio-mobile {
    display: none;
}
.background-area {
    position: absolute;
    height: 600px;
    width: 100%;
    right: 0;
    display: flex;
    z-index: -1;
    align-items: center;
    justify-content: space-between;
}
.background-area div {
    height: 100%;
    width: 50%;
}
.background-area .azul {
    background-color: var(--color-1);
}
.background-area .imagem {
    background-image: url(../assets/imagens/drywall-parede-equipe-impacta.webp);
    background-repeat: no-repeat;
    background-size: cover;
}
.background-area.sanca .imagem {
    background-image: url(../assets/imagens/novo-sanca-gesso-1.webp);
}
.background-area .vazio {
    height: 100%;
    width: 50%;
}
/* modelos */
.modelos {
    background-color: var(--gray);
}
.modelos .conteiner {
    overflow: hidden;
}
.articles {
    display: flex;
    justify-content: space-between;
    gap: 30px;
    margin: 0 auto;
}
.modelos .articles article {
    overflow: hidden;
    width: 33%;
    border-radius: 15px;
    background-color: var(--white);
}
.modelos .articles article .image,
.modelos .articles article img {
    width: 100%;
}
.modelos .articles article .image{
    border: 1px solid var(--color-1);
}
.modelos .articles article .texto {
    padding: 20px;
    text-align: center;
    height: 170px;
}
.modelos .articles article .texto h3 {
    text-transform: uppercase;
    color: var(--color-1);
    margin-bottom: 10px;

}
.modelos .articles article .texto p {
    margin-bottom: 10px;
    font-size: 18px;
    margin-bottom: 30px;
}
.modelos .articles article .texto .orcamento {
    background-color: var(--color-1);
    color: var(--background-light);
    padding: 15px;
    border-radius: 50px;
    transition: var(--transition);
}
.modelos .articles article .texto .orcamento img {
    width: 20px;
    display: inline-block;
    transform: translateY(5px);
}
.modelos .articles article .texto .orcamento:hover {
    background-color: var(--color-2);
}
/* depoimentos*/
.depoimentos .google {
    width: 240px;
    margin-bottom: 25px;
}
.depoimentos .articles article {
    border: 1px solid var(--border);
    width: 33%;
    border-radius: 20px;
}
.depoimentos .articles article h3 {
    font-size: 16px;
    color: var(--black);
    font-weight: normal;
}
.depoimentos .articles article header,
.depoimentos .articles article p {
    padding: 20px;
    line-height: 1.7;
    color: var(--color-3);
}
.depoimentos .articles article p {
    border-top: 1px solid var(--border);
}
.depoimentos .articles article .reviews img {
    width: 17px;
    height: 17px;
}
.depoimentos .articles .reviews {
    margin-top: 15px;
}
.depoimentos .google-btn {
    margin-top: 60px;
    background-color: var(--color-1);
    color: var(--background-light);
    padding: 15px;
    white-space: nowrap;
    border-radius: 50px;
    transition: var(--transition);
}
.depoimentos .google-btn img {
    width: 20px;
    transform: translateY(5px);
}
.depoimentos .google-btn:hover {
    background-color: var(--color-2);
}
/*outros serviços*/
.outros-servicos .articles article {
    background-color: var(--white);
    padding: 12px;
    width: 50%;
}
.outros-servicos .articles article .saiba-mais {
    background-color: var(--color-1);
    padding: 20px;
    color: var(--background-light);
    text-transform: uppercase;
    white-space: nowrap;
    border-radius: 50px;
    margin-top: 20px;
    display: inline-block;
    transition: var(--transition);
}
.outros-servicos .articles article .saiba-mais img {
    width: 20px;
    transform: translateY(3px);
}
.outros-servicos .articles article .saiba-mais:hover {
    background-color:  var(--color-2 );
}
.outros-servicos .articles article header {
    display: flex;
    align-items: center;
    gap: 15px;
}
.outros-servicos .articles article header h3 {
    text-transform: uppercase;
    color: var(--color-1);
    margin-bottom: 10px;
}

.outros-servicos .articles article header .image {
    overflow: hidden;
    width: 40%;
    height: 140px;
    border: 3px solid var(--color-1);
}
.outros-servicos .articles article header .texto {
    width: 60%;
}

.outros-servicos .articles article header .image img {
    height: 100%;
    width: 100%;
}

/*blog*/
.blog .conteiner .text-area p {
    color: var(--color-1);
    margin-bottom: 15px;
    font-size: 20px;
}

/* faq */
.faq {
    background-color: var(--gray);
}
.faq .conteiner .articles {
    flex-direction: column;
    gap: 40px;
}

.faq .conteiner .articles article header {
    border: 1px solid var(--border);
    background-color: var(--white);
    padding: 15px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 20px;
    cursor: pointer;
}

.faq .conteiner .articles article header:hover {
    background-color: var(--background-light);
}

.faq .conteiner .articles article header img {
    width: 10px;
}

.faq .conteiner .articles article P {
    margin-top: 20px;
    font-size: 20px;
    display: none;
}

.faq .conteiner .articles article P.show-parag,
.show-parag {
    display: block!important;
}
 /* palavras-chave */
 .palavras-chave .conteiner p {
    font-size: 20px;
    color: var(--color-1);
    text-transform: capitalize;
 }
 /*footer*/
 footer {
    position: relative;
    border-top: 1px solid var(--gray);
 }
 footer.section .conteiner {
    flex-direction: row;
 }
 footer .conteiner .vazio {
    width: 50%;
    background-color: var(--gray);
 }
 footer .conteiner .texto {
    width: 50%;
    padding-left: 40px;
 }
 footer .conteiner .texto p {
    color: var(--color-1);
    font-size: 20px;
    margin-bottom: 15px;
 }
 footer .conteiner .texto h2,
 footer .conteiner .texto span {
    text-align: left;
}
footer .footer-background {
    background-color: var(--gray);
    z-index: -1;
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
}
footer .footer-background .background {
   background-size: cover;
   background-repeat: no-repeat;
   background-image: url('../assets/imagens/parede-empresa.webp');
   width: 50%;
   height: 100%;
}
/*marca*/
.marca {
    background-color: var(--color-1);
    overflow: hidden;
}
.marca .footer-logo {
width: 140px;
}
.marca .conteiner ul {
    display: flex;
    gap: 15px;
}
.marca .conteiner ul li a {
    color: var(--background-light);
    transition: var(--transition);
}
.marca .conteiner ul li a:hover {
    color: var(--color-2);
}
.marca .conteiner {
    flex-direction: row;
}
/*whatsapp*/
.w-btn {
    color: var(--white);
    background-color: var(--whatsapp);
    width: 65px;
    height: 65px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 40px;
    border-radius: 50%;
    right: 45px;
    bottom: 45px;
    position: fixed;
    transition: var(--transition);
}
.w-btn img {
    width: 40px;
}
.w-btn:hover {
    color: var(--white);
    transform: translateY(-12px);
}

/* min */

@media(min-width: 1260px) {
   .menu {
    transform: translateX(-3%);
   }
   .soliciar-orcamento {
    transform: translateX(12%);
   }
}

/* max */

@media (max-width: 1288px) {
    .cabecalho .conteiner section {
        height: auto;
    }
}

@media (max-width: 1260px){
    .menu {
        gap: 25px;
       }
}

@media (max-width: 1100px) {
    .menu,
    .soliciar-orcamento,
    .conteiner #instagram {
        display: none;
    }
    .nav .conteiner .logo {
        width: 120px;
    }
    .nav .conteiner .btn-mobile {
        display: flex;
    }
    .nav .btn-menu {
        display: none;
        flex-direction: column;
        gap: 20px;
        padding: 30px;
        position: absolute;
        background-color: var(--background-light);
        width: 100%;
        border-top: 1px solid #d7d7d7;
    }
    .nav .btn-menu.active,
    .active {
        display: flex;
    }
    .nav .btn-menu li {
        text-transform: capitalize;
        font-weight: bold;
    }
    .cabecalho {
        overflow: hidden;
    }
    .cabecalho .conteiner,
    .cabecalho .background-area {
        flex-direction: column-reverse;
    }
    .cabecalho .conteiner {
        height: 642px;
    }
    .cabecalho .conteiner section,
    .cabecalho .conteiner .vazio,
    .cabecalho .background-area .azul,
    .cabecalho .background-area .imagem {
        width: 100%;
    }
    .cabecalho .conteiner .vazio {
        height: 50%;
    }
    .cabecalho .background-area .imagem {
        height: 50%;
        background-position: center center;
    }
    .cabecalho .conteiner section {
        text-align: center;
        gap: 0px;
        height: 50%;
        padding: 0;
        margin: 0;
        align-items: center;
        justify-content: center;
        transform: translateY(-30px);
    }
    .cabecalho .conteiner section .header-button {
        margin: 0 auto;
    }
    .cabecalho .conteiner section h1 {
        font-size: 30px;
        margin-bottom: 10px;
    }
    .cabecalho .conteiner section p {
        margin-bottom: 40px;
    }
    .cabecalho .background-area .azul {
        height: 50%;
    }
}

@media(min-width: 1000px) {
    .blog .conteiner .text-area,
    .faq .conteiner .articles {
        margin: 0 auto;
        max-width: 900px;
    }
}

@media (max-width: 990px) {
    .modelos .conteiner .articles,
    .depoimentos .conteiner .articles,
    .outros-servicos .conteiner .articles {
        flex-wrap: wrap;
    }
    .modelos .conteiner .articles article,
    .depoimentos .conteiner .articles article,
    .outros-servicos .conteiner .articles article {
        width: 47%;
    }
}

@media (max-width: 768px) {
    h2 {
        font-size: 23px;
    }
    h3 {
        font-size: 18px;
    }
    .nav {
        z-index: 2000000;
    }
    .cabecalho {
        height: 700px;
        background-color: var(--color-1);
    }
    .cabecalho .background-area {
        height: 63%;
    }
    .cabecalho .background-area .azul,
    .cabecalho .background-area .imagem {
        height: 50%;
    }
    .cabecalho .conteiner section {
        transform: translateY(0);
        background-color: var(--color-1);
        padding: 20px;
        z-index: 100000;
        height: auto;
        transform: translateY(20%);
        position: absolute;
    }
    .modelos .conteiner .articles article,
    .depoimentos .conteiner .articles article,
    .outros-servicos .conteiner .articles article {
        width: 100%;
    }
    .cabecalho .conteiner .vazio-mobile {
        background-image: url('../assets/imagens/drywall-parede-equipe-impacta.webp');
        background-size: cover;
        background-position: center center;
        display: block;
        height: 400px;
        width: 100%;
        position: absolute;
        left: 0;
        top: 0;
    }
    .cabecalho .conteiner .vazio-mobile.sanca {
        background-image: url('../assets/imagens/sanca-ilha-2.webp');
    }
    .cabecalho .conteiner {
        height: 650px;
    }
    .faq .conteiner .articles article P {
        font-size: 16px;
    }
    .faq .conteiner .articles {
        gap: 10px;
    }
    .palavras-chave .conteiner p {
        font-size: 14px;
    }
    .footer .footer-background {
        display: none;
    }
    .footer .conteiner .vazio {
        display: none;
    }
    .footer .conteiner .texto {
        width: 100%;
        padding: 0;
    }
    .marca .conteiner {
        flex-direction: column;
    }
    .marca .conteiner img {
        margin-bottom: 40px;
    }
    .w-btn {
        right: 20px;
        bottom: 20px;
        z-index: 2000000;
    }
    .outros-servicos .conteiner .articles article img {
        object-fit: cover;
    }
}